<?php
function trURLtoCHAR($metin){
	$metin = str_replace("=E7", "ç", $metin);
	$metin = str_replace("=C7", "Ç", $metin);
	$metin = str_replace("=FD", "ı", $metin);
	$metin = str_replace("=DD", "İ", $metin);
	$metin = str_replace("=FC", "ü", $metin);
	$metin = str_replace("=DC", "Ü", $metin);
	$metin = str_replace("=F6", "ö", $metin);
	$metin = str_replace("=D6", "Ö", $metin);
	$metin = str_replace("=FE", "ş", $metin);
	$metin = str_replace("=DE", "Ş", $metin);
	$metin = str_replace("=F0", "ğ", $metin);
	$metin = str_replace("=D0", "Ğ", $metin);
	$metin = str_replace("=20", "\r\n", $metin);
	return $metin;
}
//Mail bilgileri
$mail_server = "{mail.sunucu.com.tr:110/pop3/novalidate-cert}INBOX"; // notls sertifika hatasını ignore eder.
$mail_user = "info@sunucu.com.tr"; // mail kullanıcı adı
$mail_pass = "xxxxx"; //mail şifresi
$imap = imap_open($mail_server, $mail_user, $mail_pass); // mail bağlantısını açıyoruz
// bağlantı sırasında bir hata oluşursa aşağıdaki komutu çalıştırarak hatayı görüntüleyebiliriz.
print_r(imap_errors());
$message_count = imap_num_msg($imap); // mail kutusunda kaç mail olduğunu alıyoruz
for ($i = 1; $i <= $message_count; ++$i){
	$header = imap_header($imap, $i); // mailin header bilgisini al
	$mailbox = $header->from[0]->mailbox; // @ önceki kısım örnek: kullaniciadi
	$host = $header->from[0]->host; // @ sonraki kısım örnek: domain.com
	$subject = iconv_mime_decode($header->subject, 0, "ISO-8859-9"); // konuyu iso-8859-9 şeklinde çözerek alıyoruz
	$subject = mb_convert_encoding($subject, "UTF-8", "ISO-8859-9"); // konuyu utf-8 çeviriyoruz
	echo "".$subject."<br>";
	echo "".$mailbox."@".$host."<br>";
	$message = imap_fetchbody($imap,$i,1); // maili plain text olarak çekiyoruz.
	$message = trURLtoCHAR($message); // aldığımız mailde oluşan bozuk Türkçe karakterleri düzeltiyoruz
	$message = mb_convert_encoding($message, "UTF-8", "ISO-8859-9"); // maili utf-8 çeviriyoruz
	echo "Mesaj:".$message."<hr>";
//	imap_delete($imap, $i); // mesajı silmek üzere işaretliyoruz
/*
	$mail_to = "digerkullaniciadi@domain.com"; // mail gönderilecek kişi
	$mail_subject = "Konu"; // Mail konusu
	$mail_message = "Mail icerigi ve mesaj"; // mail içeriği
	$mail_header = "From: Kullanici Adi <kullaniciadi@domain.com>"; // mailin kimden gittiği
	mail($mail_to, $mail_subject, $mail_message, $mail_header); // maili gönderiyoruz
*/
} // for döngüsü bitti
//imap_expunge($imap); // silmek üzere işaretlediğimiz mailleri siliyoruz
imap_close($imap); // mail bağlantısını kapatıyoruz
?>